routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('equipments','EquipmentController');
Route::resource('units','UnitController');
Route::resource('rentrequests','RentrequestController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Equipment.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Equipment extends Model
{
	protected $table = 'equipments';

	protected $guarded = [];

    public function units(){
            	return $this->hasMany('App\Unit');
            }
}

app/Http/Controllers/EquipmentController.php
<?php

namespace App\Http\Controllers;

use App\Equipment;
use Illuminate\Http\Request;

class EquipmentController extends Controller
{
    /**
             * Display a listing of the resource.
             *
             * @return \Illuminate\Http\Response
             */
            public function index()
            {
                $equipments = Equipment::all();
                return view('admin.equipment.index',compact('equipments'));
            }

            /**
             * Show the form for creating a new resource.
             *
             * @return \Illuminate\Http\Response
             */
            public function create()
            {
                $equipments = Equipment::all();
                return view('admin.equipment.create',compact('equipments'));
            }

            /**
             * Store a newly created resource in storage.
             *
             * @param  \Illuminate\Http\Request  $request
             * @return \Illuminate\Http\Response
             */
            public function store(Request $request, Equipment $equipment)
            {
                
                $request->validate([
                    'name' => 'string|required|max:50|unique:equipments,name'
                ]);

                $equipments = Equipment::create($request->all());
                
                if ($equipments) {
                    return redirect('equipments')->with('success', 'Equipment succesfully created!');
                }
                return redirect('equipments')->with('error', 'Equipment not created!');


            }

            /**
             * Display the specified resource.
             *
             * @param  \App\Equipments  $equipments
             * @return \Illuminate\Http\Response
             */
            public function show(Equipment $equipment)
            {
                
                $equipments = Equipment::all();
                return view('admin.equipment.show')
                        ->with('equipment',$equipment)
                        ->with('equipments',$equipments);

            }

            /**
             * Show the form for editing the specified resource.
             *
             * @param  \App\Equipments  $equipments
             * @return \Illuminate\Http\Response
             */
            public function edit(Equipment $equipment)
            {
             
                $equipments = Equipment::all();
                return view('admin.equipment.edit')
                        ->with('equipment',$equipment)
                        ->with('equipments',$equipments);
            }

            /**
             * Update the specified resource in storage.
             *
             * @param  \Illuminate\Http\Request  $request
             * @param  \App\Equipments  $equipments
             * @return \Illuminate\Http\Response
             */
            public function update(Request $request, Equipment $equipment)
            {
               
                
                $request->validate([
                    'name' => 'string|required|max:50|unique:equipments,name'
                ]);

                $equipment->name = $request->input('name');
                $equipment->save();

                $equipments = Equipment::all();
                return view('admin.equipment.index',compact('equipments'));




            }

            /**
             * Remove the specified resource from storage.
             *
             * @param  \App\Equipments  $equipments
             * @return \Illuminate\Http\Response
             */
            public function destroy(Equipment $equipment)
            {
                $equipment->delete();
                $equipments = Equipment::all();
                return view('admin.equipment.index',compact('equipments'));          }
}

resources/views/admin/equipment/create.blade.php
{{-- Admin -> Equipments -> Create --}}
{{-- create.blade.php --}}

@extends('layouts.app')
@section('content')
<div class="container">
	<div class="row">
		<div class="col-12 col-md-5 mx-auto">
			<h3>Create New Equipment</h3>
			<form action="{{ route('equipments.store') }}" method="post">
				@csrf
				<label for="name">Equipment Name: </label>
				<input type="text" name="name">
				<button type="submit" class="btn btn-primary">Create</button>
			</form>
		</div>
		<div class="col-12 col-md-7 mx-auto">
			<div class="container">
				<div class="row">
					<div class="col-12 col-md-9 mx-auto m-0 p-0">
						<h3>Equipments List</h3>
					</div>
					<div class="col-12 col-md-3 mx-auto m-0 p-0">
						<a href="{{ route('equipments.index') }}" class="btn btn-primary ">View All</a>
					</div>
				</div>
			</div>
			{{-- table starts here --}}
			<div class="table-responsive">
				<table class="table table-bordered table-hover text-center">
					<thead class="thead-dark">
						<th scope="col">No.</th>
						<th scope="col">Name</th>
						<th scope="col">Total Units</th>
					</thead>
					<tbody>
						@foreach($equipments as $equipment)
						{{-- Start of Equipments Row --}}
						<tr>
							<td>{{ $loop->iteration }}</td>
							<td><strong>{{ $equipment->name }}</strong></td>
							<td>{{ $equipment->current_available +  $equipment->current_out}}</td>
						</tr>
						{{-- End of Equipment Row --}}
						@endforeach
					</tbody>
				</table>
			</div>
			{{-- table ends here --}}
		</div>
	</div>
</div>


@endsection

resources/views/admin/equipment/edit.blade.php
{{-- Admin -> Equipments -> Edit --}}
{{-- edit.blade.php --}}

@extends('layouts.app')
@section('content')
<div class="container">
	<div class="row">
		<div class="col-12 col-md-5 mx-auto">
			<h3>Update Equipment</h3>
			<form action="{{ route('equipments.update',['equipment'=>$equipment->id]) }}" method="post">
				@csrf
				@method('PUT')
				<label for="name">Equipment Name: </label>
				<input type="text" name="name" value="{{ $equipment->name }}">
				<button type="submit" class="btn btn-primary">Update</button>
			</form>
		</div>
		<div class="col-12 col-md-7 mx-auto">
			<div class="container">
				<div class="row">
					<div class="col-12 col-md-9 mx-auto">
						<h3>Equipments List</h3>
					</div>
					<div class="col-12 col-md-3 mx-auto">
						<a href="{{ route('equipments.index') }}" class="btn btn-primary">View All</a>
					</div>
				</div>
			</div>
			{{-- table starts here --}}
			<div class="table-responsive">
				<table class="table table-bordered table-hover text-center">
					<thead class="thead-dark">
						<th scope="col">No.</th>
						<th scope="col">Name</th>
						<th scope="col">Total Units</th>
					</thead>
					<tbody>

						@foreach($equipments as $equipment)
						{{-- Start of Equipments Row --}}
						<tr>
							<td>{{ $loop->iteration }}</td>
							<td><strong>{{ $equipment->name }}</strong></td>
							<td>{{ $equipment->current_available +  $equipment->current_out}}</td>
						</tr>
						{{-- End of Equipment Row --}}
						@endforeach
					</tbody>
				</table>
			</div>
			{{-- table ends here --}}
		</div>
	</div>
</div>


@endsection

resources/views/admin/equipment/index.blade.php
{{-- Admin -> Equipments -> Index/Show All --}}
{{-- index.blade.php --}}

@extends('layouts.app')
@section('content')

<div class="container">
	<div class="row">
		<div class="col-12 col-md-9 mx-auto">
			<h3>Equipments Categories</h3>
		</div>
		<div class="col-12 col-md-3 mx-auto">
			<a href="{{ route('equipments.create') }}" class="btn btn-primary">Add New Equipment Group</a>
		</div>
	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col-12">
			{{-- table starts here --}}
			<div class="table-responsive">
				<table class="table table-bordered table-hover text-center">
					<thead class="thead-dark">
						<th scope="col col-md-1">No.</th>
						<th scope="col col-md-2">Name</th>
						<th scope="col col-md-2">Available</th>
						<th scope="col col-md-2">Unavailable</th>
						<th scope="col col-md-2">Total</th>
						<th scope="col col-md-3">Action</th>
					</thead>
					<tbody>
						@foreach($equipments as $equipment)

						{{-- Start of ROW for Equipments --}}
						<tr>
							<td>{{ $loop->iteration }}</td>
							<td><strong>{{ $equipment->name }}</strong></td>
							<td>{{ $equipment->current_available }}</td>
							<td>{{ $equipment->current_out}}</td>
							<td>{{ $equipment->current_available +  $equipment->current_out}}</td>
							<td>
								{{-- View Equipment Details --}}
								<a href="{{ route('equipments.show',['equipment'=>$equipment->id]) }}" class="btn btn-light d-inline">
									<span class="fas fa-eye pr-2 pl-2"></span>
								</a>
								{{-- Edit Equipment Details --}}
								<a href="{{ route('equipments.edit',['equipment'=>$equipment->id]) }}" class="btn btn-light d-inline">
									<span class="fas fa-edit pr-2 pl-2"></span>
									
								</a>
								<form action="{{ route("equipments.destroy" , ['equipment'=>$equipment->id] ) }}" method="POST" class="d-inline">
									@csrf
									@method('DELETE')
									<button type="submit" class="btn btn-light"><span class="fas fa-trash-alt"></span></button>
								</form>
								
								
							</td>
							
						</tr>
						{{-- End of ROW for Equipments --}}
						@endforeach
					</tbody>
				</table>
			</div>
			{{-- table ends here --}}
		</div>
	</div>
</div>


@endsection

resources/views/admin/equipment/show.blade.php
{{-- Admin -> Equipments -> Show Individual --}}
{{-- show.blade.php --}}

@extends('layouts.app')
@section('content')


<div class="container">
	<div class="row">
		<div class="col-12 col-md-10 mx-auto">
			<h3>Equipment Group Details</h3>
		</div>
		<div class="col-12 col-md-2 mx-auto">
			<a href="{{ route('equipments.index') }}" class="btn btn-primary">View All</a>
		</div>
	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col-12">
			{{-- table starts here --}}
			<div class="table-responsive">
				<table class="table table-bordered table-hover text-center">
					<thead class="thead-dark">
						<th scope="col">Name</th>
						<th scope="col">Available</th>
						<th scope="col">Unavailable</th>
						<th scope="col">Total</th>
					</thead>
					<tbody>
						{{-- Start of ROW for Equipments --}}
						<tr>
							<td><strong>{{ $equipment->name }}</strong></td>
							<td>{{ $equipment->current_available }}</td>
							<td>{{ $equipment->current_out}}</td>
							<td>{{ $equipment->current_available +  $equipment->current_out}}</td>							
						</tr>
						{{-- End of ROW for Equipments --}}
					</tbody>
				</table>
			</div>
			{{-- table ends here --}}
		</div>
	</div>
</div>

{{-- <div class="container">
	<div class="row">
		<div class="col-12">
			<div class="table-responsive">
				<table class="table table-striped table-bordered">
					<thead class="thead-dark tex">
						<th scope="col">Unit Name</th>
						<th scope="col">Maker</th>
						<th scope="col">Availability</th>
						<th scope="col">Rentable Price</th>
					</thead> --}}
					{{-- <tbody> --}}
						{{-- start of row for units --}}
						{{-- <tr>
							<td>"UNIT NAME"</td>
							<td>"UNIT MAKER"</td>
							<td>"AVAILABILITY"</td>
							<td>"RENTABLE PRICE"</td>
						</tr> --}}
						{{-- end of row for units --}}
					{{-- </tbody>
				</table>
			</div>
		</div>
	</div>
</div> --}}



@endsection